package com.ruoyi.kyBg.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.kyBg.mapper.KyBgInfoMapper;
import com.ruoyi.kyBg.domain.KyBgInfo;
import com.ruoyi.kyBg.service.IKyBgInfoService;

/**
 * 科研报工Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
@Service
public class KyBgInfoServiceImpl implements IKyBgInfoService 
{
    @Autowired
    private KyBgInfoMapper kyBgInfoMapper;

    /**
     * 查询科研报工
     * 
     * @param key 科研报工主键
     * @return 科研报工
     */
    @Override
    public KyBgInfo selectKyBgInfoByKey(Long key)
    {
        return kyBgInfoMapper.selectKyBgInfoByKey(key);
    }

    /**
     * 查询科研报工列表
     * 
     * @param kyBgInfo 科研报工
     * @return 科研报工
     */
    @Override
    public List<KyBgInfo> selectKyBgInfoList(KyBgInfo kyBgInfo)
    {
        return kyBgInfoMapper.selectKyBgInfoList(kyBgInfo);
    }

    /**
     * 新增科研报工
     * 
     * @param kyBgInfo 科研报工
     * @return 结果
     */
    @Override
    public int insertKyBgInfo(KyBgInfo kyBgInfo)
    {
        return kyBgInfoMapper.insertKyBgInfo(kyBgInfo);
    }

    /**
     * 修改科研报工
     * 
     * @param kyBgInfo 科研报工
     * @return 结果
     */
    @Override
    public int updateKyBgInfo(KyBgInfo kyBgInfo)
    {
        return kyBgInfoMapper.updateKyBgInfo(kyBgInfo);
    }

    /**
     * 批量删除科研报工
     * 
     * @param keys 需要删除的科研报工主键
     * @return 结果
     */
    @Override
    public int deleteKyBgInfoByKeys(Long[] keys)
    {
        return kyBgInfoMapper.deleteKyBgInfoByKeys(keys);
    }

    /**
     * 删除科研报工信息
     * 
     * @param key 科研报工主键
     * @return 结果
     */
    @Override
    public int deleteKyBgInfoByKey(Long key)
    {
        return kyBgInfoMapper.deleteKyBgInfoByKey(key);
    }

    /**
     * 根据任务号查找任务关联的所有报工信息
     *
     * @param taskno 任务号
     * @return 结果
     */
    @Override
    public List<KyBgInfo> selectKyBgInfoListByTaskno(String taskno) {
        return kyBgInfoMapper.selectKyBgInfoListByTaskno(taskno);
    }

}
